Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 202349 - [71cat] AssertionError at org.openide.explorer.ExplorerActionsImpl$BaseAction.syncEnable
[71cat] AssertionError at org.openide.explorer.ExplorerActionsImpl$BaseAction...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Jaroslav Tulach
issues@platform
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-20 11:28 UTC by Ralph Ruijs
Modified: 2011-11-01 15:13 UTC (History)
22 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.12 KB, text/plain)
2011-09-20 11:28 UTC, Ralph Ruijs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2011-09-20 11:28:20 UTC
This bug was originally marked as duplicate of bug 201589, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 20110919-27d5a2c669e1)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b03
OS: Linux

User Comments:
ralphbenjamin: Expand the package org.netbeans.modules.refactoring.java.ui with the mouse by dubbleclick'ing.

sunbiz: Added project to favorites and clicked on the expand icon to look inside the folder, got this exception

ttokoly: Expanding nodes in Files window

athompson: added folder to favorites

GUEST: Opening "Source Files" on a new project.

gualtiero65: Hi,

I was opening a package in the Explorer lokking for a Java class.

Gualtiero

mago_ebon: I was expanding the lib directory in a Java Application. The project is versioned using SVN.

athompson: opened a folder in the "Files" tab

tnleeuw: Browsing in projects tree

GUEST: Adding a directory to the Ignore path

mkristofic: Expand package node in navigator

asenk: 1. Start IDE with fresh user dir
2. Create new Project-> NetBeans Modules-> Module
3. Next
4. Type :org.something.name in Code Name Base
5. Finish

tstupka: switch from projects to files view

pjiricka: Expanded nbproject of a web project in the Files view.

ovrabec: expanding build folder of a j2se project in files view

tim_sa: browsing files

javydreamercsw: Opening a node (package) withing a module

javydreamercsw: Opening package

ttokoly: Product Version: NetBeans IDE Dev (Build 201109060600)
Java: 1.7.0; Java HotSpot(TM) Client VM 21.0-b17
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)

I've opened several java files (about ten files) and than closed few of them by shortcut ctrl+w and this error occured.
But I think that this is random issue...

rdelaplante: I was scrolling down in the Files tab.  I have three facelets template editors open, and one CSS file open.

muellermi: opening folder in project tree

jhavlin: Opened a java package.

ovrabec: expanding a java package in projects view

mklaehn: expand node(package with bundle-files only)




Stacktrace: 
java.lang.AssertionError
   at org.openide.explorer.ExplorerActionsImpl$BaseAction.syncEnable(ExplorerActionsImpl.java:542)
   at org.openide.explorer.ExplorerActionsImpl.syncActions(ExplorerActionsImpl.java:434)
   at org.openide.explorer.ExplorerActionsImpl.updateActionsState(ExplorerActionsImpl.java:430)
   at org.openide.explorer.ExplorerActionsImpl.access$200(ExplorerActionsImpl.java:91)
   at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.isEnabled(ExplorerActionsImpl.java:618)
   at org.openide.util.actions.CallbackSystemAction.updateEnabled(CallbackSystemAction.java:173)
Comment 1 Ralph Ruijs 2011-09-20 11:28:27 UTC
Created attachment 110908 [details]
stacktrace
Comment 2 Jaroslav Tulach 2011-10-14 20:08:23 UTC
ergonomics#1f97397d255d
Comment 3 Quality Engineering 2011-11-01 15:13:47 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/1f97397d255d
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #202349: Deleting the (no longer used) method, so it cannot lead to AssertionError


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo